# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Initializing variables
    bin_name = glob.glob("*TortoiseGit-*")[0]

    if control.get_software_version() == "2.15.0.1":
        versiontest = "2.15.0.0"
    else:
        versiontest = control.get_software_version()

    # Installing the package
    print("Installing: %s" % bin_name)
    install_msi_if_needed(
        bin_name,
        min_version=versiontest,
    )

    if control.get_software_version() == '2.15.0.1':
        run('TortoiseGit-2.15.0.1-Hotfix-64bit.exe /VERYSILENT')

def session_setup():
    print("Disabling: auto-update-check")
    registry_set(HKEY_CURRENT_USER, r"SOFTWARE\TortoiseGit", "VersionCheck", 0, type=REG_DWORD)
